import { Component, OnInit } from '@angular/core';
import { AuthService } from '../auth/auth.service';

@Component({
  selector: 'user-profile-button-container',
  templateUrl: './user-profile-button-container.component.html',
  styleUrls: ['./user-profile-button-container.component.scss'],
})
export class UserProfileButtonContainerComponent implements OnInit {
  public currentUserInitials: string;

  constructor(public authService: AuthService) {}

  ngOnInit(): void {
    this.currentUserInitials = this.authService.getCurrentUserInitials();
  }

  public showDropDown(): void {
    document.getElementById('myDropdown').classList.toggle('show');
  }
}
