import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { StoreModule } from '@ngrx/store';
import { BescheidFacade } from './+state/bescheid.facade';
import { BESCHEID_FEATURE_KEY, reducer } from './+state/bescheid.reducer';
import { BescheidService } from './bescheid.service';

@NgModule({
  imports: [CommonModule, StoreModule.forFeature(BESCHEID_FEATURE_KEY, reducer)],
  providers: [BescheidService, BescheidFacade],
})
export class BescheidSharedModule {}
